# Configuration

```lua
--[[ All settings of the script are found and edited in this file. ]]

Config = {}

---Interaction with these models
Config.AtmModels = {
    `prop_atm_01`,
    `prop_atm_02`,
    `prop_atm_03`,
    `prop_fleeca_atm`,
}

--[[ The time it takes for the ATM to be hacked again | seconds ]]
Config.AtmCooldown = 300

Config.Rope = {
    ---@type {name: string, label:string}
    requiredItem = { name = 'heavy_rope', label = 'Heavy Rope' },
    ---The time it takes to get the money from the ATM after it is ripped out
    breakTime = 10, -- seconds
    ---The prize amount gives a random amount between max-min
    reward = { name = 'money', max = 5000, min = 2000, },
}

Config.Explode = {
    ---@type {name: string, label:string}
    requiredItem = { name = 'weapon_stickybomb', label = 'Sticky Bomb' },
    ---The prize amount gives a random amount between max-min
    reward = { name = 'money', max = 5000, min = 2000, },
}

Config.Hack = {
    ---[[ Cameras near ATMs can be accessed using this item ]]
    tabletItem = 'atm_hack_tablet',
    ---[[ will be used to hack nearby ATMs ]]
    phoneItem = 'atm_hack_phone',
    ---The prize amount gives a random amount between max-min
    reward = { name = 'money', max = 5000, min = 2000, },
}

Config.PlantOffset = {
    [`prop_atm_01`] = vector3(0.0, -0.2, 1.0),
    [`prop_fleeca_atm`] = vector3(0.0, 0.0, 1.0),
}

Config.AtmCameras = {
    { coords = vector3(154.941, -1037.222, 32.916), rot = vector3(-22.5, -0.000, 70.54) },
}

--[[ DEBUG ]]
Config.debug = false

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0r-resources/0r-atm-robbery/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
